Report where this board is
POST
/api/v1/rooms/{roomId}/presence
const url = 'https://api.yggy.tech/api/v1/rooms/example/presence';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"connectionId":"example","board":"example","cursor":{"x":1,"y":1},"selection":"example","editing":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/rooms/example/presence \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "connectionId": "example", "board": "example", "cursor": { "x": 1, "y": 1 }, "selection": "example", "editing": "example" }'Cursor, board, selection and the card being typed in, for the connection the events stream opened. Selection and editing are shown to others and never lock anything.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” roomId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
connectionId
required
string
board
required
string
cursor
required
object
x
required
number
y
required
number
selection
required
string | null
editing
required
string | null
Example generated
{ "connectionId": "example", "board": "example", "cursor": { "x": 1, "y": 1 }, "selection": "example", "editing": "example"}Responses
Section titled “ Responses ”Reported
Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Connection not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}